require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_ASM_ERRNO_H)) {
    eval 'sub _ASM_ERRNO_H () {1;}' unless defined(&_ASM_ERRNO_H);
    require 'asm-generic/errno-base.ph';
    eval 'sub ENOMSG () {35;}' unless defined(&ENOMSG);
    eval 'sub EIDRM () {36;}' unless defined(&EIDRM);
    eval 'sub ECHRNG () {37;}' unless defined(&ECHRNG);
    eval 'sub EL2NSYNC () {38;}' unless defined(&EL2NSYNC);
    eval 'sub EL3HLT () {39;}' unless defined(&EL3HLT);
    eval 'sub EL3RST () {40;}' unless defined(&EL3RST);
    eval 'sub ELNRNG () {41;}' unless defined(&ELNRNG);
    eval 'sub EUNATCH () {42;}' unless defined(&EUNATCH);
    eval 'sub ENOCSI () {43;}' unless defined(&ENOCSI);
    eval 'sub EL2HLT () {44;}' unless defined(&EL2HLT);
    eval 'sub EDEADLK () {45;}' unless defined(&EDEADLK);
    eval 'sub ENOLCK () {46;}' unless defined(&ENOLCK);
    eval 'sub EBADE () {50;}' unless defined(&EBADE);
    eval 'sub EBADR () {51;}' unless defined(&EBADR);
    eval 'sub EXFULL () {52;}' unless defined(&EXFULL);
    eval 'sub ENOANO () {53;}' unless defined(&ENOANO);
    eval 'sub EBADRQC () {54;}' unless defined(&EBADRQC);
    eval 'sub EBADSLT () {55;}' unless defined(&EBADSLT);
    eval 'sub EDEADLOCK () {56;}' unless defined(&EDEADLOCK);
    eval 'sub EBFONT () {59;}' unless defined(&EBFONT);
    eval 'sub ENOSTR () {60;}' unless defined(&ENOSTR);
    eval 'sub ENODATA () {61;}' unless defined(&ENODATA);
    eval 'sub ETIME () {62;}' unless defined(&ETIME);
    eval 'sub ENOSR () {63;}' unless defined(&ENOSR);
    eval 'sub ENONET () {64;}' unless defined(&ENONET);
    eval 'sub ENOPKG () {65;}' unless defined(&ENOPKG);
    eval 'sub EREMOTE () {66;}' unless defined(&EREMOTE);
    eval 'sub ENOLINK () {67;}' unless defined(&ENOLINK);
    eval 'sub EADV () {68;}' unless defined(&EADV);
    eval 'sub ESRMNT () {69;}' unless defined(&ESRMNT);
    eval 'sub ECOMM () {70;}' unless defined(&ECOMM);
    eval 'sub EPROTO () {71;}' unless defined(&EPROTO);
    eval 'sub EDOTDOT () {73;}' unless defined(&EDOTDOT);
    eval 'sub EMULTIHOP () {74;}' unless defined(&EMULTIHOP);
    eval 'sub EBADMSG () {77;}' unless defined(&EBADMSG);
    eval 'sub ENAMETOOLONG () {78;}' unless defined(&ENAMETOOLONG);
    eval 'sub EOVERFLOW () {79;}' unless defined(&EOVERFLOW);
    eval 'sub ENOTUNIQ () {80;}' unless defined(&ENOTUNIQ);
    eval 'sub EBADFD () {81;}' unless defined(&EBADFD);
    eval 'sub EREMCHG () {82;}' unless defined(&EREMCHG);
    eval 'sub ELIBACC () {83;}' unless defined(&ELIBACC);
    eval 'sub ELIBBAD () {84;}' unless defined(&ELIBBAD);
    eval 'sub ELIBSCN () {85;}' unless defined(&ELIBSCN);
    eval 'sub ELIBMAX () {86;}' unless defined(&ELIBMAX);
    eval 'sub ELIBEXEC () {87;}' unless defined(&ELIBEXEC);
    eval 'sub EILSEQ () {88;}' unless defined(&EILSEQ);
    eval 'sub ENOSYS () {89;}' unless defined(&ENOSYS);
    eval 'sub ELOOP () {90;}' unless defined(&ELOOP);
    eval 'sub ERESTART () {91;}' unless defined(&ERESTART);
    eval 'sub ESTRPIPE () {92;}' unless defined(&ESTRPIPE);
    eval 'sub ENOTEMPTY () {93;}' unless defined(&ENOTEMPTY);
    eval 'sub EUSERS () {94;}' unless defined(&EUSERS);
    eval 'sub ENOTSOCK () {95;}' unless defined(&ENOTSOCK);
    eval 'sub EDESTADDRREQ () {96;}' unless defined(&EDESTADDRREQ);
    eval 'sub EMSGSIZE () {97;}' unless defined(&EMSGSIZE);
    eval 'sub EPROTOTYPE () {98;}' unless defined(&EPROTOTYPE);
    eval 'sub ENOPROTOOPT () {99;}' unless defined(&ENOPROTOOPT);
    eval 'sub EPROTONOSUPPORT () {120;}' unless defined(&EPROTONOSUPPORT);
    eval 'sub ESOCKTNOSUPPORT () {121;}' unless defined(&ESOCKTNOSUPPORT);
    eval 'sub EOPNOTSUPP () {122;}' unless defined(&EOPNOTSUPP);
    eval 'sub EPFNOSUPPORT () {123;}' unless defined(&EPFNOSUPPORT);
    eval 'sub EAFNOSUPPORT () {124;}' unless defined(&EAFNOSUPPORT);
    eval 'sub EADDRINUSE () {125;}' unless defined(&EADDRINUSE);
    eval 'sub EADDRNOTAVAIL () {126;}' unless defined(&EADDRNOTAVAIL);
    eval 'sub ENETDOWN () {127;}' unless defined(&ENETDOWN);
    eval 'sub ENETUNREACH () {128;}' unless defined(&ENETUNREACH);
    eval 'sub ENETRESET () {129;}' unless defined(&ENETRESET);
    eval 'sub ECONNABORTED () {130;}' unless defined(&ECONNABORTED);
    eval 'sub ECONNRESET () {131;}' unless defined(&ECONNRESET);
    eval 'sub ENOBUFS () {132;}' unless defined(&ENOBUFS);
    eval 'sub EISCONN () {133;}' unless defined(&EISCONN);
    eval 'sub ENOTCONN () {134;}' unless defined(&ENOTCONN);
    eval 'sub EUCLEAN () {135;}' unless defined(&EUCLEAN);
    eval 'sub ENOTNAM () {137;}' unless defined(&ENOTNAM);
    eval 'sub ENAVAIL () {138;}' unless defined(&ENAVAIL);
    eval 'sub EISNAM () {139;}' unless defined(&EISNAM);
    eval 'sub EREMOTEIO () {140;}' unless defined(&EREMOTEIO);
    eval 'sub EINIT () {141;}' unless defined(&EINIT);
    eval 'sub EREMDEV () {142;}' unless defined(&EREMDEV);
    eval 'sub ESHUTDOWN () {143;}' unless defined(&ESHUTDOWN);
    eval 'sub ETOOMANYREFS () {144;}' unless defined(&ETOOMANYREFS);
    eval 'sub ETIMEDOUT () {145;}' unless defined(&ETIMEDOUT);
    eval 'sub ECONNREFUSED () {146;}' unless defined(&ECONNREFUSED);
    eval 'sub EHOSTDOWN () {147;}' unless defined(&EHOSTDOWN);
    eval 'sub EHOSTUNREACH () {148;}' unless defined(&EHOSTUNREACH);
    eval 'sub EWOULDBLOCK () { &EAGAIN;}' unless defined(&EWOULDBLOCK);
    eval 'sub EALREADY () {149;}' unless defined(&EALREADY);
    eval 'sub EINPROGRESS () {150;}' unless defined(&EINPROGRESS);
    eval 'sub ESTALE () {151;}' unless defined(&ESTALE);
    eval 'sub ECANCELED () {158;}' unless defined(&ECANCELED);
    eval 'sub ENOMEDIUM () {159;}' unless defined(&ENOMEDIUM);
    eval 'sub EMEDIUMTYPE () {160;}' unless defined(&EMEDIUMTYPE);
    eval 'sub ENOKEY () {161;}' unless defined(&ENOKEY);
    eval 'sub EKEYEXPIRED () {162;}' unless defined(&EKEYEXPIRED);
    eval 'sub EKEYREVOKED () {163;}' unless defined(&EKEYREVOKED);
    eval 'sub EKEYREJECTED () {164;}' unless defined(&EKEYREJECTED);
    eval 'sub EOWNERDEAD () {165;}' unless defined(&EOWNERDEAD);
    eval 'sub ENOTRECOVERABLE () {166;}' unless defined(&ENOTRECOVERABLE);
    eval 'sub ERFKILL () {167;}' unless defined(&ERFKILL);
    eval 'sub EHWPOISON () {168;}' unless defined(&EHWPOISON);
    eval 'sub EDQUOT () {1133;}' unless defined(&EDQUOT);
}
1;
