require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&__ASM_IOCTLS_H)) {
    eval 'sub __ASM_IOCTLS_H () {1;}' unless defined(&__ASM_IOCTLS_H);
    require 'asm/ioctl.ph';
    eval 'sub TCGETA () {0x5401;}' unless defined(&TCGETA);
    eval 'sub TCSETA () {0x5402;}' unless defined(&TCSETA);
    eval 'sub TCSETAW () {0x5403;}' unless defined(&TCSETAW);
    eval 'sub TCSETAF () {0x5404;}' unless defined(&TCSETAF);
    eval 'sub TCSBRK () {0x5405;}' unless defined(&TCSBRK);
    eval 'sub TCXONC () {0x5406;}' unless defined(&TCXONC);
    eval 'sub TCFLSH () {0x5407;}' unless defined(&TCFLSH);
    eval 'sub TCGETS () {0x540d;}' unless defined(&TCGETS);
    eval 'sub TCSETS () {0x540e;}' unless defined(&TCSETS);
    eval 'sub TCSETSW () {0x540f;}' unless defined(&TCSETSW);
    eval 'sub TCSETSF () {0x5410;}' unless defined(&TCSETSF);
    eval 'sub TIOCEXCL () {0x740d;}' unless defined(&TIOCEXCL);
    eval 'sub TIOCNXCL () {0x740e;}' unless defined(&TIOCNXCL);
    eval 'sub TIOCOUTQ () {0x7472;}' unless defined(&TIOCOUTQ);
    eval 'sub TIOCSTI () {0x5472;}' unless defined(&TIOCSTI);
    eval 'sub TIOCMGET () {0x741d;}' unless defined(&TIOCMGET);
    eval 'sub TIOCMBIS () {0x741b;}' unless defined(&TIOCMBIS);
    eval 'sub TIOCMBIC () {0x741c;}' unless defined(&TIOCMBIC);
    eval 'sub TIOCMSET () {0x741a;}' unless defined(&TIOCMSET);
    eval 'sub TIOCPKT () {0x5470;}' unless defined(&TIOCPKT);
    eval 'sub TIOCPKT_DATA () {0x;}' unless defined(&TIOCPKT_DATA);
    eval 'sub TIOCPKT_FLUSHREAD () {0x1;}' unless defined(&TIOCPKT_FLUSHREAD);
    eval 'sub TIOCPKT_FLUSHWRITE () {0x2;}' unless defined(&TIOCPKT_FLUSHWRITE);
    eval 'sub TIOCPKT_STOP () {0x4;}' unless defined(&TIOCPKT_STOP);
    eval 'sub TIOCPKT_START () {0x8;}' unless defined(&TIOCPKT_START);
    eval 'sub TIOCPKT_NOSTOP () {0x10;}' unless defined(&TIOCPKT_NOSTOP);
    eval 'sub TIOCPKT_DOSTOP () {0x20;}' unless defined(&TIOCPKT_DOSTOP);
    eval 'sub TIOCPKT_IOCTL () {0x40;}' unless defined(&TIOCPKT_IOCTL);
    eval 'sub TIOCSWINSZ () { &_IOW(ord(\'t\'), 103, 1;}' unless defined(&TIOCSWINSZ);
    eval 'sub TIOCGWINSZ () { &_IOR(ord(\'t\'), 104, 1;}' unless defined(&TIOCGWINSZ);
    eval 'sub TIOCNOTTY () {0x5471;}' unless defined(&TIOCNOTTY);
    eval 'sub TIOCSETD () {0x7401;}' unless defined(&TIOCSETD);
    eval 'sub TIOCGETD () {0x7400;}' unless defined(&TIOCGETD);
    eval 'sub FIOCLEX () {0x6601;}' unless defined(&FIOCLEX);
    eval 'sub FIONCLEX () {0x6602;}' unless defined(&FIONCLEX);
    eval 'sub FIOASYNC () {0x667d;}' unless defined(&FIOASYNC);
    eval 'sub FIONBIO () {0x667e;}' unless defined(&FIONBIO);
    eval 'sub FIOQSIZE () {0x667f;}' unless defined(&FIOQSIZE);
    eval 'sub TIOCGLTC () {0x7474;}' unless defined(&TIOCGLTC);
    eval 'sub TIOCSLTC () {0x7475;}' unless defined(&TIOCSLTC);
    eval 'sub TIOCSPGRP () { &_IOW(ord(\'t\'), 118, \'int\');}' unless defined(&TIOCSPGRP);
    eval 'sub TIOCGPGRP () { &_IOR(ord(\'t\'), 119, \'int\');}' unless defined(&TIOCGPGRP);
    eval 'sub TIOCCONS () { &_IOW(ord(\'t\'), 120, \'int\');}' unless defined(&TIOCCONS);
    eval 'sub FIONREAD () {0x467f;}' unless defined(&FIONREAD);
    eval 'sub TIOCINQ () { &FIONREAD;}' unless defined(&TIOCINQ);
    eval 'sub TIOCGETP () {0x7408;}' unless defined(&TIOCGETP);
    eval 'sub TIOCSETP () {0x7409;}' unless defined(&TIOCSETP);
    eval 'sub TIOCSETN () {0x740a;}' unless defined(&TIOCSETN);
    eval 'sub TIOCSBRK () {0x5427;}' unless defined(&TIOCSBRK);
    eval 'sub TIOCCBRK () {0x5428;}' unless defined(&TIOCCBRK);
    eval 'sub TIOCGSID () {0x7416;}' unless defined(&TIOCGSID);
    eval 'sub TCGETS2 () { &_IOR(ord(\'T\'), 0x2a, 1;}' unless defined(&TCGETS2);
    eval 'sub TCSETS2 () { &_IOW(ord(\'T\'), 0x2b, 1;}' unless defined(&TCSETS2);
    eval 'sub TCSETSW2 () { &_IOW(ord(\'T\'), 0x2c, 1;}' unless defined(&TCSETSW2);
    eval 'sub TCSETSF2 () { &_IOW(ord(\'T\'), 0x2d, 1;}' unless defined(&TCSETSF2);
    eval 'sub TIOCGRS485 () { &_IOR(ord(\'T\'), 0x2e, 1;}' unless defined(&TIOCGRS485);
    eval 'sub TIOCSRS485 () { &_IOWR(ord(\'T\'), 0x2f, 1;}' unless defined(&TIOCSRS485);
    eval 'sub TIOCGPTN () { &_IOR(ord(\'T\'), 0x30, \'unsigned int\');}' unless defined(&TIOCGPTN);
    eval 'sub TIOCSPTLCK () { &_IOW(ord(\'T\'), 0x31, \'int\');}' unless defined(&TIOCSPTLCK);
    eval 'sub TIOCGDEV () { &_IOR(ord(\'T\'), 0x32, \'unsigned int\');}' unless defined(&TIOCGDEV);
    eval 'sub TIOCSIG () { &_IOW(ord(\'T\'), 0x36, \'int\');}' unless defined(&TIOCSIG);
    eval 'sub TIOCVHANGUP () {0x5437;}' unless defined(&TIOCVHANGUP);
    eval 'sub TIOCGPKT () { &_IOR(ord(\'T\'), 0x38, \'int\');}' unless defined(&TIOCGPKT);
    eval 'sub TIOCGPTLCK () { &_IOR(ord(\'T\'), 0x39, \'int\');}' unless defined(&TIOCGPTLCK);
    eval 'sub TIOCGEXCL () { &_IOR(ord(\'T\'), 0x40, \'int\');}' unless defined(&TIOCGEXCL);
    eval 'sub TIOCGPTPEER () { &_IO(ord(\'T\'), 0x41);}' unless defined(&TIOCGPTPEER);
    eval 'sub TIOCSCTTY () {0x5480;}' unless defined(&TIOCSCTTY);
    eval 'sub TIOCGSOFTCAR () {0x5481;}' unless defined(&TIOCGSOFTCAR);
    eval 'sub TIOCSSOFTCAR () {0x5482;}' unless defined(&TIOCSSOFTCAR);
    eval 'sub TIOCLINUX () {0x5483;}' unless defined(&TIOCLINUX);
    eval 'sub TIOCGSERIAL () {0x5484;}' unless defined(&TIOCGSERIAL);
    eval 'sub TIOCSSERIAL () {0x5485;}' unless defined(&TIOCSSERIAL);
    eval 'sub TCSBRKP () {0x5486;}' unless defined(&TCSBRKP);
    eval 'sub TIOCSERCONFIG () {0x5488;}' unless defined(&TIOCSERCONFIG);
    eval 'sub TIOCSERGWILD () {0x5489;}' unless defined(&TIOCSERGWILD);
    eval 'sub TIOCSERSWILD () {0x548a;}' unless defined(&TIOCSERSWILD);
    eval 'sub TIOCGLCKTRMIOS () {0x548b;}' unless defined(&TIOCGLCKTRMIOS);
    eval 'sub TIOCSLCKTRMIOS () {0x548c;}' unless defined(&TIOCSLCKTRMIOS);
    eval 'sub TIOCSERGSTRUCT () {0x548d;}' unless defined(&TIOCSERGSTRUCT);
    eval 'sub TIOCSERGETLSR () {0x548e;}' unless defined(&TIOCSERGETLSR);
    eval 'sub TIOCSERGETMULTI () {0x548f;}' unless defined(&TIOCSERGETMULTI);
    eval 'sub TIOCSERSETMULTI () {0x5490;}' unless defined(&TIOCSERSETMULTI);
    eval 'sub TIOCMIWAIT () {0x5491;}' unless defined(&TIOCMIWAIT);
    eval 'sub TIOCGICOUNT () {0x5492;}' unless defined(&TIOCGICOUNT);
}
1;
