require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_ASM_SOCKET_H)) {
    eval 'sub _ASM_SOCKET_H () {1;}' unless defined(&_ASM_SOCKET_H);
    require 'asm/sockios.ph';
    eval 'sub SOL_SOCKET () {0xffff;}' unless defined(&SOL_SOCKET);
    eval 'sub SO_DEBUG () {0x1;}' unless defined(&SO_DEBUG);
    eval 'sub SO_REUSEADDR () {0x4;}' unless defined(&SO_REUSEADDR);
    eval 'sub SO_KEEPALIVE () {0x8;}' unless defined(&SO_KEEPALIVE);
    eval 'sub SO_DONTROUTE () {0x10;}' unless defined(&SO_DONTROUTE);
    eval 'sub SO_BROADCAST () {0x20;}' unless defined(&SO_BROADCAST);
    eval 'sub SO_LINGER () {0x80;}' unless defined(&SO_LINGER);
    eval 'sub SO_OOBINLINE () {0x100;}' unless defined(&SO_OOBINLINE);
    eval 'sub SO_REUSEPORT () {0x200;}' unless defined(&SO_REUSEPORT);
    eval 'sub SO_TYPE () {0x1008;}' unless defined(&SO_TYPE);
    eval 'sub SO_STYLE () { &SO_TYPE;}' unless defined(&SO_STYLE);
    eval 'sub SO_ERROR () {0x1007;}' unless defined(&SO_ERROR);
    eval 'sub SO_SNDBUF () {0x1001;}' unless defined(&SO_SNDBUF);
    eval 'sub SO_RCVBUF () {0x1002;}' unless defined(&SO_RCVBUF);
    eval 'sub SO_SNDLOWAT () {0x1003;}' unless defined(&SO_SNDLOWAT);
    eval 'sub SO_RCVLOWAT () {0x1004;}' unless defined(&SO_RCVLOWAT);
    eval 'sub SO_SNDTIMEO () {0x1005;}' unless defined(&SO_SNDTIMEO);
    eval 'sub SO_RCVTIMEO () {0x1006;}' unless defined(&SO_RCVTIMEO);
    eval 'sub SO_ACCEPTCONN () {0x1009;}' unless defined(&SO_ACCEPTCONN);
    eval 'sub SO_PROTOCOL () {0x1028;}' unless defined(&SO_PROTOCOL);
    eval 'sub SO_DOMAIN () {0x1029;}' unless defined(&SO_DOMAIN);
    eval 'sub SO_NO_CHECK () {11;}' unless defined(&SO_NO_CHECK);
    eval 'sub SO_PRIORITY () {12;}' unless defined(&SO_PRIORITY);
    eval 'sub SO_BSDCOMPAT () {14;}' unless defined(&SO_BSDCOMPAT);
    eval 'sub SO_PASSCRED () {17;}' unless defined(&SO_PASSCRED);
    eval 'sub SO_PEERCRED () {18;}' unless defined(&SO_PEERCRED);
    eval 'sub SO_SECURITY_AUTHENTICATION () {22;}' unless defined(&SO_SECURITY_AUTHENTICATION);
    eval 'sub SO_SECURITY_ENCRYPTION_TRANSPORT () {23;}' unless defined(&SO_SECURITY_ENCRYPTION_TRANSPORT);
    eval 'sub SO_SECURITY_ENCRYPTION_NETWORK () {24;}' unless defined(&SO_SECURITY_ENCRYPTION_NETWORK);
    eval 'sub SO_BINDTODEVICE () {25;}' unless defined(&SO_BINDTODEVICE);
    eval 'sub SO_ATTACH_FILTER () {26;}' unless defined(&SO_ATTACH_FILTER);
    eval 'sub SO_DETACH_FILTER () {27;}' unless defined(&SO_DETACH_FILTER);
    eval 'sub SO_GET_FILTER () { &SO_ATTACH_FILTER;}' unless defined(&SO_GET_FILTER);
    eval 'sub SO_PEERNAME () {28;}' unless defined(&SO_PEERNAME);
    eval 'sub SO_TIMESTAMP () {29;}' unless defined(&SO_TIMESTAMP);
    eval 'sub SCM_TIMESTAMP () { &SO_TIMESTAMP;}' unless defined(&SCM_TIMESTAMP);
    eval 'sub SO_PEERSEC () {30;}' unless defined(&SO_PEERSEC);
    eval 'sub SO_SNDBUFFORCE () {31;}' unless defined(&SO_SNDBUFFORCE);
    eval 'sub SO_RCVBUFFORCE () {33;}' unless defined(&SO_RCVBUFFORCE);
    eval 'sub SO_PASSSEC () {34;}' unless defined(&SO_PASSSEC);
    eval 'sub SO_TIMESTAMPNS () {35;}' unless defined(&SO_TIMESTAMPNS);
    eval 'sub SCM_TIMESTAMPNS () { &SO_TIMESTAMPNS;}' unless defined(&SCM_TIMESTAMPNS);
    eval 'sub SO_MARK () {36;}' unless defined(&SO_MARK);
    eval 'sub SO_TIMESTAMPING () {37;}' unless defined(&SO_TIMESTAMPING);
    eval 'sub SCM_TIMESTAMPING () { &SO_TIMESTAMPING;}' unless defined(&SCM_TIMESTAMPING);
    eval 'sub SO_RXQ_OVFL () {40;}' unless defined(&SO_RXQ_OVFL);
    eval 'sub SO_WIFI_STATUS () {41;}' unless defined(&SO_WIFI_STATUS);
    eval 'sub SCM_WIFI_STATUS () { &SO_WIFI_STATUS;}' unless defined(&SCM_WIFI_STATUS);
    eval 'sub SO_PEEK_OFF () {42;}' unless defined(&SO_PEEK_OFF);
    eval 'sub SO_NOFCS () {43;}' unless defined(&SO_NOFCS);
    eval 'sub SO_LOCK_FILTER () {44;}' unless defined(&SO_LOCK_FILTER);
    eval 'sub SO_SELECT_ERR_QUEUE () {45;}' unless defined(&SO_SELECT_ERR_QUEUE);
    eval 'sub SO_BUSY_POLL () {46;}' unless defined(&SO_BUSY_POLL);
    eval 'sub SO_MAX_PACING_RATE () {47;}' unless defined(&SO_MAX_PACING_RATE);
    eval 'sub SO_BPF_EXTENSIONS () {48;}' unless defined(&SO_BPF_EXTENSIONS);
    eval 'sub SO_INCOMING_CPU () {49;}' unless defined(&SO_INCOMING_CPU);
    eval 'sub SO_ATTACH_BPF () {50;}' unless defined(&SO_ATTACH_BPF);
    eval 'sub SO_DETACH_BPF () { &SO_DETACH_FILTER;}' unless defined(&SO_DETACH_BPF);
    eval 'sub SO_ATTACH_REUSEPORT_CBPF () {51;}' unless defined(&SO_ATTACH_REUSEPORT_CBPF);
    eval 'sub SO_ATTACH_REUSEPORT_EBPF () {52;}' unless defined(&SO_ATTACH_REUSEPORT_EBPF);
    eval 'sub SO_CNX_ADVICE () {53;}' unless defined(&SO_CNX_ADVICE);
    eval 'sub SCM_TIMESTAMPING_OPT_STATS () {54;}' unless defined(&SCM_TIMESTAMPING_OPT_STATS);
    eval 'sub SO_MEMINFO () {55;}' unless defined(&SO_MEMINFO);
    eval 'sub SO_INCOMING_NAPI_ID () {56;}' unless defined(&SO_INCOMING_NAPI_ID);
    eval 'sub SO_COOKIE () {57;}' unless defined(&SO_COOKIE);
    eval 'sub SCM_TIMESTAMPING_PKTINFO () {58;}' unless defined(&SCM_TIMESTAMPING_PKTINFO);
    eval 'sub SO_PEERGROUPS () {59;}' unless defined(&SO_PEERGROUPS);
    eval 'sub SO_ZEROCOPY () {60;}' unless defined(&SO_ZEROCOPY);
}
1;
